> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vatis.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Get available event type

> Finds all supported events for webhook endpoints.



## OpenAPI

````yaml get /notification-service/api/v1/webhook-endpoints/supported-events
openapi: 3.0.1
info:
  title: Vatis Stream Service
  description: Vatis Stream Service API
  version: '1.0'
servers:
  - url: https://notification-service.vatis.tech
    description: Default server
security: []
paths:
  /notification-service/api/v1/webhook-endpoints/supported-events:
    get:
      tags:
        - webhook-endpoint-resource-impl
      summary: Get available event type
      description: Finds all supported events for webhook endpoints.
      operationId: getSupportedEvents
      responses:
        '200':
          description: Operation succeeded.
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
        '400':
          description: Webhook endpoints limit reached
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Authentication required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        statusCode:
          type: integer
          format: int32
        title:
          type: string
        message:
          type: string
        internalErrorName:
          type: string
        nestedErrors:
          type: array
          items:
            type: object

````